#!/bin/sh                                                                       
#                                                                               
# Note that this script must be called with a . to get it into the caller's environment
# Used by other scripts to set up appropriate connection info for reporting DB  
#                                                                               
# Sets environment variables based on config                                    
                                                                                
if [[ -x $(which mysql) ]]; then                                                
   MYSQL_PATH=$(which mysql)                                                    
else                                                                            
   echo "No apparent MySQL client exists! exiting..."                           
   exit 1                                                                       
fi                                                                              
                                                                                
CONFIG_FILE='/etc/zenoss_analytics/zenoss_analytics.conf'                       
ETLHOSTNAME=`grep "^etl.jdbc.hostname" $CONFIG_FILE | cut -d"=" -f2`            
ETLPORT=`grep "^etl.jdbc.port" $CONFIG_FILE | cut -d"=" -f2`                    
DBUSER=`grep "^etl.jdbc.username" $CONFIG_FILE | cut -d"=" -f2`                 
DBPASS=`grep "^etl.jdbc.password" $CONFIG_FILE | cut -d"=" -f2`                 
ETLDB=`grep "^etl.jdbc.dbname" $CONFIG_FILE | cut -d"=" -f2`                    
RUNZENDSQUERY="$MYSQL_PATH -u $DBUSER --password=$DBPASS -h $ETLHOSTNAME -P$ETLPORT $ETLDB --skip-column-names -e"
RUNZENDSQUERYCOLS="$MYSQL_PATH -u $DBUSER --password=$DBPASS -h $ETLHOSTNAME -P$ETLPORT $ETLDB -e"
