DROP TABLE IF EXISTS dim_date;
CREATE TABLE dim_date (
  date_key           INT UNSIGNED NOT NULL PRIMARY KEY
                     COMMENT 'Surrogate key for the date dimension table.'
  ,date_date         DATE NOT NULL
                     COMMENT 'Full date value.'
  ,date_year         SMALLINT UNSIGNED NOT NULL
                     COMMENT 'Year of the date.'
  ,date_month        TINYINT UNSIGNED NOT NULL
                     COMMENT 'Month of the year.'
  ,date_day          TINYINT UNSIGNED NOT NULL
                     COMMENT 'Day of the month.'
  ,date_week_of_year TINYINT UNSIGNED NOT NULL
                     COMMENT 'Week of the year.'
  ,date_day_of_week  TINYINT UNSIGNED NOT NULL
                     COMMENT 'Day of the week.'
  ,UNIQUE (date_year, date_month, date_day)
) COMMENT 'Dimension table for dates.'
ENGINE=MyISAM;


SET @start_date = '2000-01-01';
INSERT INTO dim_date (
    date_key, date_date, date_year, date_month,
    date_day, date_week_of_year, date_day_of_week)
SELECT
    TO_DAYS  (DATE_ADD(@start_date, INTERVAL number DAY )),
              DATE_ADD(@start_date, INTERVAL number DAY ),
    YEAR(     DATE_ADD(@start_date, INTERVAL number DAY )),
    MONTH(    DATE_ADD(@start_date, INTERVAL number DAY )),
    DAY(      DATE_ADD(@start_date, INTERVAL number DAY )),
    WEEK(     DATE_ADD(@start_date, INTERVAL number DAY )),
    DAYOFWEEK(DATE_ADD(@start_date, INTERVAL number DAY ))
FROM util_numbers
WHERE DATE_ADD( @start_date, INTERVAL number DAY ) BETWEEN @start_date AND '2050-01-01'
ORDER BY number;